package de.t23h.siemens.spiel;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class MyKeyListener implements KeyListener {
	private boolean keyUp;
	private boolean keyDown;
	private boolean keyLeft;
	private boolean keyRight;

	public MyKeyListener() {
		keyUp = false;
		keyDown = false;
		keyLeft = false;
		keyRight = false;
	}

	@Override
	public void keyPressed(KeyEvent e) {
		switch (e.getKeyCode()) {
		case KeyEvent.VK_W:
			keyUp = true;
			break;
		case KeyEvent.VK_A:
			keyLeft = true;
			break;
		case KeyEvent.VK_S:
			keyDown = true;
			break;
		case KeyEvent.VK_D:
			keyRight = true;
			break;

		}
	}

	@Override
	public void keyReleased(KeyEvent e) {
		switch (e.getKeyCode()) {
		case KeyEvent.VK_W:
			keyUp = false;
			break;
		case KeyEvent.VK_A:
			keyLeft = false;
			break;
		case KeyEvent.VK_S:
			keyDown = false;
			break;
		case KeyEvent.VK_D:
			keyRight = false;
			break;

		}
	}

	@Override
	public void keyTyped(KeyEvent arg0) {

	}

	public boolean isKeyUp() {
		return keyUp;
	}

	public boolean isKeyDown() {
		return keyDown;
	}

	public boolean isKeyLeft() {
		return keyLeft;
	}

	public boolean isKeyRight() {
		return keyRight;
	}
	
	

}
