package de.t23h.siemens.spiel;

import javax.swing.JFrame;

public class Window extends JFrame {
	private static final long serialVersionUID = 1L;
	private Paper papier;
	private MyKeyListener keylistener;
	private	Thread thread;
	
	public Window(){
		keylistener = new MyKeyListener();
		papier = new Paper(keylistener);
		thread = new Thread(papier);
	}
	
	public void generateWindow(int width, int height) {
		setSize(width, height);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		addKeyListener(keylistener);
		add(papier);
		thread.start();
		
		setVisible(true);
	}
}
